Documentation · API reference
DELETE/api/v1/sites/{site}/visitors/{visitor}

Delete everything held about a visitor

Delete everything held about a visitor. Typed to confirm: their ID.

Parameters

sitein the address
neededA site's id or name
visitorin the address
neededThe visitor's ID
confirmin the query
neededThe visitor's ID again

The answer

Status 200

RemovedView

hits
integerneeded
visitors
integerneeded
visits
integerneeded

Asking

With your token from Settings
curl -X DELETE "https://tidekeeper.eu/api/v1/sites/example.org/visitors/{visitor}?confirm=…" \
    -H "Authorization: Bearer $TIDEKEEPER_TOKEN"
With your token from Settings
const answer = await fetch("https://tidekeeper.eu/api/v1/sites/example.org/visitors/{visitor}?confirm=…", {
  method: "DELETE",
  headers: {
    Authorization: `Bearer ${process.env.TIDEKEEPER_TOKEN}`,
  },
}).then((r) => r.json());